Skip to main content
PUT
/
themes
/
{themeId}
Update theme
curl --request PUT \
  --url https://api.kameleoon.com/themes/{themeId} \
  --header 'Content-Type: application/json' \
  --data '
{
  "projectIds": [
    123
  ],
  "colors": [
    {
      "id": "<string>",
      "value": "<string>"
    }
  ],
  "components": [
    "<string>"
  ],
  "customFonts": [
    {
      "fontFamily": "<string>",
      "fontSrc": "<string>",
      "fontWeights": [
        "<string>"
      ],
      "id": "<string>",
      "importSrc": "<string>"
    }
  ],
  "description": "<string>",
  "id": 123,
  "name": "<string>",
  "selectedFonts": [
    {
      "id": "<string>"
    }
  ],
  "tags": [
    "<string>"
  ],
  "widgetIds": [
    123
  ]
}
'
import requests

url = "https://api.kameleoon.com/themes/{themeId}"

payload = {
"projectIds": [123],
"colors": [
{
"id": "<string>",
"value": "<string>"
}
],
"components": ["<string>"],
"customFonts": [
{
"fontFamily": "<string>",
"fontSrc": "<string>",
"fontWeights": ["<string>"],
"id": "<string>",
"importSrc": "<string>"
}
],
"description": "<string>",
"id": 123,
"name": "<string>",
"selectedFonts": [{ "id": "<string>" }],
"tags": ["<string>"],
"widgetIds": [123]
}
headers = {"Content-Type": "application/json"}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
projectIds: [123],
colors: [{id: '<string>', value: '<string>'}],
components: ['<string>'],
customFonts: [
{
fontFamily: '<string>',
fontSrc: '<string>',
fontWeights: ['<string>'],
id: '<string>',
importSrc: '<string>'
}
],
description: '<string>',
id: 123,
name: '<string>',
selectedFonts: [{id: '<string>'}],
tags: ['<string>'],
widgetIds: [123]
})
};

fetch('https://api.kameleoon.com/themes/{themeId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "projectIds": [
    123
  ],
  "colors": [
    {
      "id": "<string>",
      "value": "<string>"
    }
  ],
  "components": [
    "<string>"
  ],
  "creationDate": "2023-11-07T05:31:56Z",
  "customFonts": [
    {
      "fontFamily": "<string>",
      "fontSrc": "<string>",
      "fontWeights": [
        "<string>"
      ],
      "id": "<string>",
      "importSrc": "<string>"
    }
  ],
  "dateModified": "2023-11-07T05:31:56Z",
  "description": "<string>",
  "id": 123,
  "name": "<string>",
  "selectedFonts": [
    {
      "id": "<string>"
    }
  ],
  "tags": [
    "<string>"
  ],
  "widgetIds": [
    123
  ]
}
{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}
{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}
{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}
{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}
{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}
{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}
{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}
{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}

Path Parameters

themeId
integer<int64>
required

The Id of the theme object

Body

application/json
projectIds
integer<int64>[]
required
colors
Theme color · object[]
components
string[]
customFonts
Theme custom font · object[]
description
string
id
integer<int64>
name
string
selectedFonts
Theme selected font · object[]
status
enum<string>
Available options:
ACTIVE,
DRAFT,
PAUSED
tags
string[]
widgetIds
integer<int64>[]

Response

OK

projectIds
integer<int64>[]
required
colors
Theme color · object[]
components
string[]
creationDate
string<date-time>
read-only
customFonts
Theme custom font · object[]
dateModified
string<date-time>
read-only
description
string
id
integer<int64>
name
string
selectedFonts
Theme selected font · object[]
status
enum<string>
Available options:
ACTIVE,
DRAFT,
PAUSED
tags
string[]
widgetIds
integer<int64>[]